apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - namespace.yaml
  - ../../demo22-cluster
namespace: netalia
configMapGenerator:
  - name: the-map
    behavior: merge
    literals:
      - PARTICIPANT_NAME=netalia
      - PARENT_DOMAIN=provider.gaia-x.community
patches:
  - patch: |-
      - op: replace
        path: "/spec/rules/0/host"
        value: "netalia.provider.gaia-x.community"
      - op: replace
        path: "/spec/tls/0/hosts"
        value: ["netalia.provider.gaia-x.community"]
    target:
      kind: Ingress
      name: participant-agent
